[CentOS-devel] new weak-updates kmods

Ned Slider ned at unixmail.co.uk
Thu Dec 4 17:08:24 UTC 2008


Farkas Levente wrote:
> hi,
> currently all new kmods which use the weak-updates can be patched as:
> ----------------------------------------------
> @@ -1,7 +1,6 @@
> -Source10: kmodtool
>  Source11: find-requires
>  Source12: find-requires.ksyms
> -%define   kmodtool bash %{SOURCE10}
> +%define   kmodtool bash /usr/lib/rpm/redhat/kmodtool
> ----------------------------------------------
> and add:
> BuildRequires:	redhat-rpm-config
> in this way don't need to add the kmodtool to all srpms and would be
> cleaner.
> 
> ps. just my 2c.
> 

How do you add Requires for the kmod-<package> if you don't have them in 
a custom kmodtool script?

I seem to remember when I added Requires to the SPEC file for the kmod's 
I tried to build they were ignored. Is there a more convenient/correct 
way to pass Requires from a SPEC file to the kmodtool script?

Ned



More information about the CentOS-devel mailing list